Bug 53729 - rhn_register core dumps on startup
Summary: rhn_register core dumps on startup
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn_register   
(Show other bugs)
Version: 7.1
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-17 10:53 UTC by Tim West
Modified: 2015-01-07 23:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-28 08:38:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'rpm -qa' as requested (6.06 KB, text/plain)
2001-11-02 10:08 UTC, Tim West
no flags Details

Description Tim West 2001-09-17 10:53:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.2)
Gecko/20010726 Netscape6/6.1

Description of problem:
I have just upgraded a machine from RH 5.2 to RH 7.1. After the install
everything works OK, except on running rhn_gegister as root after a second
or two, it core dumps. Nothing appears except for the core dump message.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rhn_register
2.
3.
	

Actual Results:  [root@pt-ftp rhn]# rhn_register
Segmentation fault (core dumped)


Additional info:

Comment 1 Adrian Likins 2001-11-01 23:36:31 UTC
hmm. Havent seen this before.

segfaults in python generally indicate an error in loading
one of the libraries that one of the python modules link to.
Of course, thats alot of stuff, so doesnt narrow the search down
any.

Does python itself run?

just typing:
           python

and seeing if the intrepeter starts up. ctrl-d to exit that process.

Does rpm seem to work correctly on the box?

Could you send me the output of `rpm -qa `?

Not exactly where to start looking for this one.

Comment 2 Tim West 2001-11-02 10:08:30 UTC
Created attachment 36181 [details]
Output of 'rpm -qa' as requested

Comment 3 Tim West 2001-11-02 10:09:05 UTC
[root@pt-ftp /root]# python
Python 1.5.2 (#1, Mar  3 2001, 01:35:43)  [GCC 2.96 20000731 (Red Hat Linux 7.1
2 on linux-i386
Copyright 1991-1995 Stichting Mathematisch Centrum, Amsterdam
>>>
[root@pt-ftp /root]# 

I have attached rpm-qa which is the output of 'rpm -qa'.
rpm seems to work fine, I can add and delete packahes OK.
I have been doing some testing in the last day or so, and I think I have
narrowed it down to a line in /usr/share/rhn/register/rhnreg.py.If I comment out
the line 'import rpm' then it doesn't core dump, but then it failes with a
message about ssl, which I assume is related to the missing import.

Tim

Comment 4 Tim West 2001-12-28 08:38:26 UTC
I have installed the latest rhn_register and up2date updates and removed glint
from the machine and rhn_register now works.

You can close this now.

Thanks

Tim


Note You need to log in before you can comment on or make changes to this bug.